function [F,M] = Force_Moment(FEA,t,F0,M0,load)
M = zeros(FEA.N_total,length(t));
F = zeros(FEA.N_total,length(t));

for j = 1:length(t)
    for i = 2:FEA.N_total
        F(i,j) = 0.5*(load(i-1,j)+load(i,j))*FEA.L_el(i-1);
    end
end
F(1,:) = F0;
M(1,:) = M0;

% % This function returns the shear force and moment at each node based on
% % the distributed load from the environmental forces.
% % Load1 is the distributed load at the previous node, load2 at the current
% % node, F1 the shear force at the previous node and M1 the corresponding moment,
% % and L_el the length of the previous element.
% F = zeros(FEA.N_total,length(t));
% M = zeros(FEA.N_total,length(t));
% triang_forces = zeros(FEA.E_total,length(t));
% rect_forces = zeros(FEA.E_total,length(t));
% triang_arm = zeros(FEA.E_total,FEA.E_total);
% rect_arm = zeros(FEA.E_total,FEA.E_total);
% MT = zeros(FEA.N_total,length(t));
% 
% % At the topmost node, the force and moment are equal to the point force
% % (thrust) and moment (zero)
% F(1,:) = F0;
% M(1,:) = M0;
% 
% %Initialize moment arm
% for i = 1:FEA.E_total
%     triang_arm(i,i) = 2/3*FEA.L_el(i);
%     rect_arm(i,i) = 1/2*FEA.L_el(i);
% end
% % Calculate moment arm for each node
% for i = 1:FEA.E_total
%     for k = (i+1):FEA.E_total
%         if i~=k   
%             triang_arm(i,k) = triang_arm(i,k-1)+FEA.L_el(k);
%             rect_arm(i,k) = rect_arm(i,k-1)+FEA.L_el(k);
%         end
%     end
% end
% 
% for j = 1:length(t)
%     for i = 2:FEA.N_total
%         triang_forces(i-1,j) = 0.5.*FEA.L_el(i-1).*(load(i-1,j)-load(i,j));
%         rect_forces(i-1,j) = FEA.L_el(i-1).*load(i,j);
%         F(i,j) = F(i-1,j) + triang_forces(i-1,j) + rect_forces(i-1,j);
%     end
% end
% 
% triang_moment = triang_forces'*triang_arm; % format t x nodes
% rect_moment = rect_forces'*rect_arm; % format t x nodes
% 
% for j = 1:length(t)
%     for i = 2:FEA.N_total
%         MT(i,j) = MT(i-1,j)+F0*FEA.L_el(i-1);
%         M(i,j) = M0+MT(i,j)+triang_moment(j,i-1)+rect_moment(j,i-1); % Moment due to top point force and top moment
%         
%     end
% end
% 
% % for i = 2:FEA.N_total
% % F(i,:) = F(i-1,:)+0.5.*(load(i,:)+load(i-1,:)).*L_el;
% % M(i,:) = M(i-1,:)+F(0).*L_el+1/6.*L_el.^2.*load2+1/3.*L_el.^2.*load1;
% % end

end