function [f_hydro]=HydroForce(rho_hydro, D_hydro, dudt_wave, u_wave, u_current, CM, CD, dydt_pile)

%% Full Morison equation for a moving body, exclusive added mass moving body (in M-matrix)
f_hydro = 0.5*rho_hydro*CD.*D_hydro.*abs(u_wave+u_current-dydt_pile).*(u_wave+u_current-dydt_pile)+rho_hydro*pi/4*D_hydro.^2.*CM.*dudt_wave;

end
