function [u_wave,dudt_wave] = LinearAiryWave(omega,Hs,t,k_hydro,x,depth,waterdepth,eta)
% This function returns the wave velocity and wave acceleration at each
% submerged node, with input omega = 2*pi/Tp (wave frequency), Hs the
% significant wave height, t the time, k_hydro the wave number, x the
% location along the horizontal axis, the nodal water depth and the design
% water depth.

% Wheeler stretching
z = waterdepth*(depth)/(waterdepth+eta);


u_wave = omega*Hs/2*cos(omega*t-k_hydro*x)*cosh(k_hydro*z)/sinh(k_hydro*waterdepth);
dudt_wave = -omega^2*Hs/2*sin(omega*t-k_hydro*x)*cosh(k_hydro*z)/sinh(k_hydro*waterdepth);

            
end