function [Kf_local] = LocalSoilStiffnessMatrix(FEA,kf,DOF)
% This function computes the local stiffness matrix based on the soil
% stiffness value derived from the displacement of the pile.

% Kf_local = zeros(FEA.E_total*2*DOF,2*DOF); % local element matrix
% for i = 1:FEA.E_total
%     % The local element matrix:
%     Kf_local(4*i-3,:) = [kf(i) kf(i) kf(i+1) kf(i+1)].*FEA.L_el(i)./(1+FEA.phifactor(i)).^2.*[13/35+7*FEA.phifactor(i)/10+(FEA.phifactor(i)^2)/3 (11/210+11*FEA.phifactor(i)/120+(FEA.phifactor(i)^2)/24)*FEA.L_el(i) 9/70+3*FEA.phifactor(i)/10+(FEA.phifactor(i)^2)/6 -(13/420+3*FEA.phifactor(i)/40+(FEA.phifactor(i)^2)/24)*FEA.L_el(i)];
%     Kf_local(4*i-2,:) = [kf(i) kf(i) kf(i+1) kf(i+1)].*FEA.L_el(i)./(1+FEA.phifactor(i)).^2.*[(11/210+11*FEA.phifactor(i)/120+(FEA.phifactor(i)^2)/24)*FEA.L_el(i) (1/105+FEA.phifactor(i)/60+(FEA.phifactor(i)^2)/120)*FEA.L_el(i)^2 (13/420+3*FEA.phifactor(i)/40+(FEA.phifactor(i)^2)/24)*FEA.L_el(i) -(1/140+FEA.phifactor(i)/60+(FEA.phifactor(i)^2)/120)*FEA.L_el(i)^2];
%     Kf_local(4*i-1,:) = [kf(i+1) kf(i+1) kf(i+1) kf(i+1)].*FEA.L_el(i)./(1+FEA.phifactor(i)).^2.*[9/70+3*FEA.phifactor(i)/10+(FEA.phifactor(i)^2)/6 (13/420+3*FEA.phifactor(i)/40+(FEA.phifactor(i)^2)/24)*FEA.L_el(i) 13/35+7*FEA.phifactor(i)/10+(FEA.phifactor(i)^2)/3 -(11/210+11*FEA.phifactor(i)/120+(FEA.phifactor(i)^2)/24)*FEA.L_el(i)];
%     Kf_local(4*i,:)   = [kf(i+1) kf(i+1) kf(i+1) kf(i+1)].*FEA.L_el(i)./(1+FEA.phifactor(i)).^2.*[-(13/420+3*FEA.phifactor(i)/40+(FEA.phifactor(i)^2)/24)*FEA.L_el(i) -(1/140+FEA.phifactor(i)/60+(FEA.phifactor(i)^2)/120)*FEA.L_el(i)^2 -(11/210+11*FEA.phifactor(i)/120+(FEA.phifactor(i)^2)/24)*FEA.L_el(i) (1/105+FEA.phifactor(i)/60+(FEA.phifactor(i)^2)/120)*FEA.L_el(i)^2];    
% end

Kf_local = zeros(FEA.E_total*2*DOF,2*DOF); % local element matrix
for i = 1:FEA.E_total
    % The local element matrix:
    Kf_local(4*i-3,:) = [kf(i) kf(i) kf(i+1) kf(i+1)].*FEA.L_el(i)./(1+FEA.phifactor(i)).^2.*[13/35+7*FEA.phifactor(i)/10+(FEA.phifactor(i)^2)/3 -(11/210+11*FEA.phifactor(i)/120+(FEA.phifactor(i)^2)/24)*FEA.L_el(i) 9/70+3*FEA.phifactor(i)/10+(FEA.phifactor(i)^2)/6 (13/420+3*FEA.phifactor(i)/40+(FEA.phifactor(i)^2)/24)*FEA.L_el(i)];
    Kf_local(4*i-2,:) = [kf(i) kf(i) kf(i+1) kf(i+1)].*FEA.L_el(i)./(1+FEA.phifactor(i)).^2.*[-(11/210+11*FEA.phifactor(i)/120+(FEA.phifactor(i)^2)/24)*FEA.L_el(i) (1/105+FEA.phifactor(i)/60+(FEA.phifactor(i)^2)/120)*FEA.L_el(i)^2 -(13/420+3*FEA.phifactor(i)/40+(FEA.phifactor(i)^2)/24)*FEA.L_el(i) -(1/140+FEA.phifactor(i)/60+(FEA.phifactor(i)^2)/120)*FEA.L_el(i)^2];
    Kf_local(4*i-1,:) = [kf(i) kf(i) kf(i+1) kf(i+1)].*FEA.L_el(i)./(1+FEA.phifactor(i)).^2.*[9/70+3*FEA.phifactor(i)/10+(FEA.phifactor(i)^2)/6 -(13/420+3*FEA.phifactor(i)/40+(FEA.phifactor(i)^2)/24)*FEA.L_el(i) 13/35+7*FEA.phifactor(i)/10+(FEA.phifactor(i)^2)/3 (11/210+11*FEA.phifactor(i)/120+(FEA.phifactor(i)^2)/24)*FEA.L_el(i)];
    Kf_local(4*i,:)   = [kf(i) kf(i) kf(i+1) kf(i+1)].*FEA.L_el(i)./(1+FEA.phifactor(i)).^2.*[(13/420+3*FEA.phifactor(i)/40+(FEA.phifactor(i)^2)/24)*FEA.L_el(i) -(1/140+FEA.phifactor(i)/60+(FEA.phifactor(i)^2)/120)*FEA.L_el(i)^2 (11/210+11*FEA.phifactor(i)/120+(FEA.phifactor(i)^2)/24)*FEA.L_el(i) (1/105+FEA.phifactor(i)/60+(FEA.phifactor(i)^2)/120)*FEA.L_el(i)^2];    
end

end