function [FN,WN,PHI] = NaturalFrequency(M_global,K_global,NumberOfModeShapes)

% % Remove end rotation [According to S. Natas, N. Schrawat and M.L.R. Gonzalez
% % TU Delft repository]
% K_global(end-2,:) = [];
% K_global(:,end-2) = [];
% M_global(end-2,:) = [];
% M_global(:,end-2) = [];

% The generalized eigenvalue problem
[V,D] = eig(M_global\K_global); % eigenvectors V and eigenvalues lamda D
D_sort = sort(diag(D)); % eigenvalues lambda
WN = sqrt(D_sort); % eigenvalues wn = sqrt(lambda) [rad/s]

FN = zeros(length(WN),1);
for i = 1:length(WN)
    if sign(WN(i).^2)==-1
        FN(i) = WN(i)/(2*pi);
        error('Unstable EVP solution. Negative eigenvalues.') % eigenfrequencies
    else
        FN(i) = WN(i)/(2*pi); % eigenfrequencies
    end
end
% Return the first eigenvalue
fprintf('The first eigenfrequency is %4.4f Hz prior to environmental loading.\n',FN(1));

%% Identify mode shapes and eigenfrequencies
% first mode shape (smallest eigenfrequency) to last considered mode shape (10):
col = zeros(1,NumberOfModeShapes);
PHI = zeros(size(M_global,1),NumberOfModeShapes);
for i = 1:NumberOfModeShapes
    [~,col(i)] = find(D==D_sort(i));
    % eigenvector/mode shape matrix:
    PHI(:,i) = V(:,col(i));
end

end