function [cv] = RadiationDamper(FEA,G)
% Input: total number of nodes FEA.N_total,

% Initialize
cv = zeros(FEA.N_total,1);

for z = 1:FEA.N_total
    if z <= (FEA.E_unsubm+FEA.E_subm+1) % not embedded and first embedded node. Assume that the soil resistance above and at the mudline surface is zero.
        cv(z) = 0;
    else
        %% Sand
        if FEA.H_n(z)> G.Sand.d
            cv(z) = 4*FEA.D_outer_n(z)*G.Sand.rho*G.Sand.Vs*(0-FEA.H_n_equivalent(z));
        end
        %% Soft clay, cyclic, below the water table
        if FEA.H_n(z)<= G.Sand.d && FEA.H_n(z)>G.Clay.d
            cv(z) = 4*FEA.D_outer_n(z)*G.Clay.rho*G.Clay.Vs*(0-FEA.H_n_equivalent(z));
        end
        %% Mudstone (weak rock)
        if FEA.H_n(z)<= G.Clay.d && FEA.H_n(z)> G.Mudstone.d
            cv(z) = 4*FEA.D_outer_n(z)*G.Mudstone.rho*G.Mudstone.Vs*(0-FEA.H_n_equivalent(z));
        end
        %% Gravel (sand)
        if FEA.H_n(z)<= G.Mudstone.d && FEA.H_n(z)> G.Gravel.d
            cv(z) = 4*FEA.D_outer_n(z)*G.Gravel.rho*G.Gravel.Vs*(0-FEA.H_n_equivalent(z));
        end
        %% Sandstone (weak rock)
        if FEA.H_n(z)<= G.Gravel.d && FEA.H_n(z)>=G.Sandstone.d
            cv(z) = 4*FEA.D_outer_n(z)*G.Sandstone.rho*G.Sandstone.Vs*(0-FEA.H_n_equivalent(z));
        end
    end
    
end
end