function [k_shear_el,k_shear_n] = ShearCoefficientHollowCylinder(FEA)
% Shear coefficient based on the analytical expression derived by
% Hutchinson (ASME Jan 2001, Vol. 68 p. 89)
a = FEA.D_inner_el./2;
b = FEA.D_outer_el./2;
k_shear_el = (6*(a.^2+b.^2).^2.*(1+FEA.vP_el).^2)./(7*a.^4+34*a.^2.*b.^2+7*b.^4+FEA.vP_el.*(12*a.^4+48*a.^2.*b.^2+12*b.^4)+FEA.vP_el.^2.*(4*a.^4+16*a.^2.*b.^2+4*b.^4));

a_n = FEA.D_inner_n./2;
b_n = FEA.D_outer_n./2;
k_shear_n = (6*(a_n.^2+b_n.^2).^2.*(1+FEA.vP_n).^2)./(7*a_n.^4+34*a_n.^2.*b_n.^2+7*b_n.^4+FEA.vP_n.*(12*a_n.^4+48*a_n.^2.*b_n.^2+12*b_n.^4)+FEA.vP_n.^2.*(4*a_n.^4+16*a_n.^2.*b_n.^2+4*b_n.^4));

% % Spyridoula uses k as alfa, while actually k = 1/alfa. But try if this is
% % source stability issue
% k_shear_el = 1./k_shear_el;
% k_shear_n = 1./k_shear_n;

end