%% DEFINE EARTHQUAKE

% Earthquake
% Make vectors same size as ODE EOM vectors:
EQ.y_eq = zeros(FEA.N_total,length(EQ.t)); 
EQ.y_eq(end+1-size(displ_eq,1):end,(SIM.t_transient/SIM.t_step+1):...       % [cm] to [m] (DEEPSOIL output in cm!)
    (SIM.t_transient/SIM.t_step)+size(displ_eq,2)) = displ_eq/100; 

EQ.dydt_eq = zeros(FEA.N_total,length(EQ.t)); 
EQ.dydt_eq(end+1-size(vel_eq,1):end,(SIM.t_transient/SIM.t_step+1):...      % [cm/s] to [m/s] (DEEPSOIL output in cm!)
    (SIM.t_transient/SIM.t_step)+size(vel_eq,2)) = vel_eq/100; 

EQ.ddydt_eq = zeros(FEA.N_total,length(EQ.t)); 
EQ.ddydt_eq(end+1-size(acc_eq,1):end,(SIM.t_transient/SIM.t_step+1):...     % [cm/s2] to [m/s2] (DEEPSOIL output in cm!)
    (SIM.t_transient/SIM.t_step)+size(acc_eq,2)) = acc_eq/100; 

clear acc_eq vel_eq displ_eq % These DEEPSOIL variables can be cleared from the file

% Plot the peak motion for every soil layer
if strcmp(EQ.EQ_Record,'Recorded')==1 || strcmp(EQ.EQ_Record,'ELE')==1 || strcmp(EQ.EQ_Record,'ALE')==1
    EQ.PGA = max(abs(EQ.ddydt_eq(:,(SIM.t_transient/SIM.t_step+1):end)),[],2); % Direction of motion ignored.
    EQ.PGV = max(abs(EQ.dydt_eq(:,(SIM.t_transient/SIM.t_step+1):end)),[],2);
    EQ.PGD = max(abs(EQ.y_eq(:,(SIM.t_transient/SIM.t_step+1):end)),[],2);
    % Plot the earthquake motion for few soil layers
    Plot_PGA
end
