%% CREATE LOOKUP TABLE NONLINEAR SOILS FOR BOTH SSI MODELS

G.y = repmat([-1:0.0001:1],FEA.N_total,1);
[G.d,G.d_equivalent,FEA.H_n_equivalent,G.pu,G.p] = NonlinearElasticSoil(G,S,FEA,G.y);

if strcmp(SSI,'SSI1')==1
    % Create API p-y curves
    [G.kf_pycurve] = SoilStiffnessConstant(FEA,G.p,G.y);
elseif strcmp(SSI,'SSI2')==1
    % Create Boulanger p-y curves
    [~,~,~,~,~,~,G.p_BLGR] = BoulangerTuning(G,S,FEA,G.pu,G.p,G.y);
    [G.kf_pycurve] = SoilStiffnessConstant(FEA,G.p_BLGR,G.y);
end