% Plot PGA, PGV and PGD
varsbefore = who;
% PGA
plotPGA = figure;
plot_PGA=plot(EQ.PGA((FEA.E_unsubm+FEA.N_subm):FEA.N_total),FEA.H_n((FEA.E_unsubm+FEA.N_subm):FEA.N_total),'k');
plot_PGA.LineWidth = 1;
set(gca,'TickLabelInterpreter','Latex','Fontsize',9);
%xlim([0 4]);
xlabel('Peak Ground Acceleration [m/s$^2$]','Interpreter','Latex','Fontsize',11);
ylabel('Depth $d$ [m]', 'Interpreter','Latex','Fontsize',11);
hold on 
hline = refline([0 G.Sand.d]);
hline.Color = 'k';
hline.LineStyle='--';
%txt1 = 'Sand';
%text(3,G.Sand.d/2,txt1,'Interpreter','Latex',...
%    'Fontsize',11);
hold on 
hline = refline([0 G.Clay.d]);
hline.Color = 'k';
hline.LineStyle='--';
% txt2 = 'Clay';
% text(3,G.Sand.d+(G.Clay.d-G.Sand.d)/2,txt2,'Interpreter','Latex',...
%     'Fontsize',11);
hold on 
hline = refline([0 G.Mudstone.d]);
hline.Color = 'k';
hline.LineStyle='--';
% txt3 = 'Mudstone';
% text(3,G.Clay.d+(G.Mudstone.d-G.Clay.d)/2,txt3,'Interpreter','Latex',...
%     'Fontsize',11);
hold on 
hline = refline([0 G.Gravel.d]);
hline.Color = 'k';
hline.LineStyle='--';
% txt4 = 'Gravel';
% text(3,G.Mudstone.d+(G.Gravel.d-G.Mudstone.d)/2,txt4,'Interpreter','Latex',...
%     'Fontsize',11);
hold off

% PGV
plotPGV = figure;
plot_PGV=plot(EQ.PGV((FEA.E_unsubm+FEA.N_subm):FEA.N_total),FEA.H_n((FEA.E_unsubm+FEA.N_subm):FEA.N_total),'k');
plot_PGV.LineWidth = 1;
set(gca,'TickLabelInterpreter','Latex','Fontsize',9);
%xlim([0.4 0.45]);
xlabel('Peak Ground Velocity [m/s]','Interpreter','Latex','Fontsize',11);
ylabel('Depth $d$ [m]', 'Interpreter','Latex','Fontsize',11);
hold on 
hline = refline([0 G.Sand.d]);
hline.Color = 'k';
hline.LineStyle='--';
% txt1 = 'Sand';
% text(0.44,G.Sand.d/2,txt1,'Interpreter','Latex',...
%     'Fontsize',11);
hold on 
hline = refline([0 G.Clay.d]);
hline.Color = 'k';
hline.LineStyle='--';
% txt2 = 'Clay';
% text(0.44,G.Sand.d+(G.Clay.d-G.Sand.d)/2,txt2,'Interpreter','Latex',...
%     'Fontsize',11);
hold on 
hline = refline([0 G.Mudstone.d]);
hline.Color = 'k';
hline.LineStyle='--';
% txt3 = 'Mudstone';
% text(0.44,G.Clay.d+(G.Mudstone.d-G.Clay.d)/2,txt3,'Interpreter','Latex',...
%     'Fontsize',11);
hold on 
hline = refline([0 G.Gravel.d]);
hline.Color = 'k';
hline.LineStyle='--';
% txt4 = 'Gravel';
% text(0.44,G.Mudstone.d+(G.Gravel.d-G.Mudstone.d)/2,txt4,'Interpreter','Latex',...
%     'Fontsize',11);
hold off

% PGD
plotPGD = figure;
plot_PGD=plot(EQ.PGD((FEA.E_unsubm+FEA.N_subm):FEA.N_total),FEA.H_n((FEA.E_unsubm+FEA.N_subm):FEA.N_total),'k');
plot_PGD.LineWidth = 1;
set(gca,'TickLabelInterpreter','Latex','Fontsize',9);
%xlim([0.375 0.385]);
xlabel('Peak Ground Displacement [m]','Interpreter','Latex','Fontsize',11);
ylabel('Depth $d$ [m]', 'Interpreter','Latex','Fontsize',11);
hold on 
hline = refline([0 G.Sand.d]);
hline.Color = 'k';
hline.LineStyle='--';
% txt1 = 'Sand';
% text(0.3835,G.Sand.d/2,txt1,'Interpreter','Latex',...
%     'Fontsize',11);
hold on 
hline = refline([0 G.Clay.d]);
hline.Color = 'k';
hline.LineStyle='--';
% txt2 = 'Clay';
% text(0.3835,G.Sand.d+(G.Clay.d-G.Sand.d)/2,txt2,'Interpreter','Latex',...
%     'Fontsize',11);
hold on 
hline = refline([0 G.Mudstone.d]);
hline.Color = 'k';
hline.LineStyle='--';
% txt3 = 'Mudstone';
% text(0.3835,G.Clay.d+(G.Mudstone.d-G.Clay.d)/2,txt3,'Interpreter','Latex',...
%     'Fontsize',11);
hold on 
hline = refline([0 G.Gravel.d]);
hline.Color = 'k';
hline.LineStyle='--';
% txt4 = 'Gravel';
% text(0.3835,G.Mudstone.d+(G.Gravel.d-G.Mudstone.d)/2,txt4,'Interpreter','Latex',...
%     'Fontsize',11);
hold off

% Plot time series of acceleration at different depths
plotacc = figure;
acc_d1 = subplot(4,1,1);
x = EQ.t((SIM.t_transient/SIM.t_step+1):end);
y1 = EQ.ddydt_eq((FEA.E_unsubm+FEA.N_subm),(SIM.t_transient/SIM.t_step+1):end);
plot(acc_d1,x,y1)
set(gca,'TickLabelInterpreter','Latex','Fontsize',9);
set( gca, 'YGrid', 'on' );
ylim([-3 3]);
yticks([-3 -2 -1 0 1 2 3]);
title(acc_d1,'\textbf{Sand}','Interpreter','Latex','Fontsize',11)
ylabel(acc_d1,'Acceleration [m/s$^2$]','Interpreter','Latex','Fontsize',11)
xlabel(acc_d1,'Time [s]','Interpreter','Latex','Fontsize',11)
hold on
% plot max PGA as red dot on graph
PGAmax_1 = max(EQ.ddydt_eq((FEA.E_unsubm+FEA.N_subm),(SIM.t_transient/SIM.t_step+1):end));
PGAmin_1 = min(EQ.ddydt_eq((FEA.E_unsubm+FEA.N_subm),(SIM.t_transient/SIM.t_step+1):end));
if abs(PGAmax_1)<abs(PGAmin_1)
    PGAmax_1 = PGAmin_1;
end
t_PGAmax_1 = EQ.t(length(1:SIM.t_transient/SIM.t_step)+find(EQ.ddydt_eq((FEA.E_unsubm+FEA.N_subm),(SIM.t_transient/SIM.t_step+1):end)==PGAmax_1));
plot(t_PGAmax_1,PGAmax_1,'r.','MarkerSize',20)
txt = ['\hspace{4pt} $\leftarrow$ Maximum: ',num2str(PGAmax_1,'%4.2f'),'\,m/s$^2$']; 
text(t_PGAmax_1,PGAmax_1,txt,'HorizontalAlignment','left','Interpreter','Latex','fontsize',11)
hold off

acc_d2 = subplot(4,1,2);
y2 = EQ.ddydt_eq((FEA.E_unsubm+FEA.N_subm)+6,(SIM.t_transient/SIM.t_step+1):end);
plot(acc_d2,x,y2);
set(gca,'TickLabelInterpreter','Latex','Fontsize',9);
set( gca, 'YGrid', 'on' );
ylim([-3 3]);
yticks([-3 -2 -1 0 1 2 3]);
title(acc_d2,'\textbf{Clay}','Interpreter','Latex','Fontsize',11)
ylabel(acc_d2,'Acceleration [m/s$^2$]','Interpreter','Latex','Fontsize',11)
xlabel(acc_d2,'Time [s]','Interpreter','Latex','Fontsize',11)
hold on
% plot max PGA as red dot on graph
PGAmax_2 = max(EQ.ddydt_eq((FEA.E_unsubm+FEA.N_subm)+6,(SIM.t_transient/SIM.t_step+1):end));
PGAmin_2 = min(EQ.ddydt_eq((FEA.E_unsubm+FEA.N_subm)+6,(SIM.t_transient/SIM.t_step+1):end));
if abs(PGAmax_2)<abs(PGAmin_2)
    PGAmax_2 = PGAmin_2;
end
t_PGAmax_2 = EQ.t(length(1:SIM.t_transient/SIM.t_step)+find(EQ.ddydt_eq((FEA.E_unsubm+FEA.N_subm)+6,(SIM.t_transient/SIM.t_step+1):end)==PGAmax_2));
plot(t_PGAmax_2,PGAmax_2,'r.','MarkerSize',20)
txt = ['\hspace{4pt} $\leftarrow$ Maximum: ',num2str(PGAmax_2,'%4.2f'),'\,m/s$^2$']; 
text(t_PGAmax_2,PGAmax_2,txt,'HorizontalAlignment','left','Interpreter','Latex','fontsize',11)
hold off

acc_d3 = subplot(4,1,3);
y3 = EQ.ddydt_eq((FEA.E_unsubm+FEA.N_subm)+14,(SIM.t_transient/SIM.t_step+1):end);
plot(acc_d3,x,y3);
set(gca,'TickLabelInterpreter','Latex','Fontsize',9);
set( gca, 'YGrid', 'on' );
ylim([-3 3]);
yticks([-3 -2 -1 0 1 2 3]);
title(acc_d3,'\textbf{Mudstone}','Interpreter','Latex','Fontsize',11)
ylabel(acc_d3,'Acceleration [m/s$^2$]','Interpreter','Latex','Fontsize',11)
xlabel(acc_d3,'Time [s]','Interpreter','Latex','Fontsize',11)
hold on
% plot max PGA as red dot on graph
PGAmax_3 = max(EQ.ddydt_eq((FEA.E_unsubm+FEA.N_subm)+14,(SIM.t_transient/SIM.t_step+1):end));
PGAmin_3 = min(EQ.ddydt_eq((FEA.E_unsubm+FEA.N_subm)+14,(SIM.t_transient/SIM.t_step+1):end));
if abs(PGAmax_3)<abs(PGAmin_3)
    PGAmax_3 = PGAmin_3;
end
t_PGAmax_3 = EQ.t(length(1:SIM.t_transient/SIM.t_step)+find(EQ.ddydt_eq((FEA.E_unsubm+FEA.N_subm)+14,(SIM.t_transient/SIM.t_step+1):end)==PGAmax_3));
plot(t_PGAmax_3,PGAmax_3,'r.','MarkerSize',20)
txt = ['\hspace{4pt} $\leftarrow$ Maximum: ',num2str(PGAmax_3,'%4.2f'),'\,m/s$^2$']; 
text(t_PGAmax_3,PGAmax_3,txt,'HorizontalAlignment','left','Interpreter','Latex','fontsize',11)
hold off

acc_d4 = subplot(4,1,4);
y4 = EQ.ddydt_eq((FEA.E_unsubm+FEA.N_subm)+23,(SIM.t_transient/SIM.t_step+1):end);
plot(acc_d4,x,y4);
set(gca,'TickLabelInterpreter','Latex','Fontsize',9);
set( gca, 'YGrid', 'on' );
ylim([-3 3]);
yticks([-3 -2 -1 0 1 2 3]);
title(acc_d4,'\textbf{Gravel}','Interpreter','Latex','Fontsize',11)
ylabel(acc_d4,'Acceleration [m/s$^2$]','Interpreter','Latex','Fontsize',11)
xlabel(acc_d4,'Time [s]','Interpreter','Latex','Fontsize',11)
hold on
% plot max PGA as red dot on graph
PGAmax_4 = max(EQ.ddydt_eq((FEA.E_unsubm+FEA.N_subm)+23,(SIM.t_transient/SIM.t_step+1):end));
PGAmin_4 = min(EQ.ddydt_eq((FEA.E_unsubm+FEA.N_subm)+23,(SIM.t_transient/SIM.t_step+1):end));
if abs(PGAmax_4)<abs(PGAmin_4)
    PGAmax_4 = PGAmin_4;
end
t_PGAmax_4 = EQ.t(length(1:SIM.t_transient/SIM.t_step)+find(EQ.ddydt_eq((FEA.E_unsubm+FEA.N_subm)+23,(SIM.t_transient/SIM.t_step+1):end)==PGAmax_4));
plot(t_PGAmax_4,PGAmax_4,'r.','MarkerSize',20)
txt = ['\hspace{4pt} $\leftarrow$ Maximum: ',num2str(PGAmax_4,'%4.2f'),'\,m/s$^2$']; 
text(t_PGAmax_4,PGAmax_4,txt,'HorizontalAlignment','left','Interpreter','Latex','fontsize',11)
hold off

% Plot time series of velocity at different depths
plotvel = figure;
vel_d1 = subplot(4,1,1);
x = EQ.t((SIM.t_transient/SIM.t_step+1):end);
z1 = EQ.dydt_eq((FEA.E_unsubm+FEA.N_subm),(SIM.t_transient/SIM.t_step+1):end);
plot(vel_d1,x,z1)
set(gca,'TickLabelInterpreter','Latex','Fontsize',9);
set( gca, 'YGrid', 'on' );
ylim([-0.6 0.6]);
yticks([-0.5 0 0.5]);
title(vel_d1,'\textbf{Sand}','Interpreter','Latex','Fontsize',11)
ylabel(vel_d1,'Velocity [m/s]','Interpreter','Latex','Fontsize',11)
xlabel(vel_d1,'Time [s]','Interpreter','Latex','Fontsize',11)
hold on
% plot max PGA as red dot on graph
PGVmax_1 = max(EQ.dydt_eq((FEA.E_unsubm+FEA.N_subm),(SIM.t_transient/SIM.t_step+1):end));
PGVmin_1 = min(EQ.dydt_eq((FEA.E_unsubm+FEA.N_subm),(SIM.t_transient/SIM.t_step+1):end));
if abs(PGVmax_1)<abs(PGVmin_1)
    PGVmax_1 = PGVmin_1;
end
t_PGVmax_1 = EQ.t(length(1:SIM.t_transient/SIM.t_step)+find(EQ.dydt_eq((FEA.E_unsubm+FEA.N_subm),(SIM.t_transient/SIM.t_step+1):end)==PGVmax_1));
plot(t_PGVmax_1,PGVmax_1,'r.','MarkerSize',20)
txt = ['\hspace{4pt} $\leftarrow$ Maximum: ',num2str(PGVmax_1,'%4.2f'),'\,m/s']; 
text(t_PGVmax_1,PGVmax_1,txt,'HorizontalAlignment','left','Interpreter','Latex','fontsize',11)
hold off

vel_d2 = subplot(4,1,2);
z2 = EQ.dydt_eq((FEA.E_unsubm+FEA.N_subm)+6,(SIM.t_transient/SIM.t_step+1):end);
plot(vel_d2,x,z2);
set(gca,'TickLabelInterpreter','Latex','Fontsize',9);
set( gca, 'YGrid', 'on' );
ylim([-0.6 0.6]);
yticks([-0.5 0 0.5]);
title(vel_d2,'\textbf{Clay}','Interpreter','Latex','Fontsize',11)
ylabel(vel_d2,'Velocity [m/s]','Interpreter','Latex','Fontsize',11)
xlabel(vel_d2,'Time [s]','Interpreter','Latex','Fontsize',11)
hold on
% plot max PGV as red dot on graph
PGVmax_2 = max(EQ.dydt_eq((FEA.E_unsubm+FEA.N_subm)+6,(SIM.t_transient/SIM.t_step+1):end));
PGVmin_2 = min(EQ.dydt_eq((FEA.E_unsubm+FEA.N_subm)+6,(SIM.t_transient/SIM.t_step+1):end));
if abs(PGVmax_2)<abs(PGVmin_2)
    PGVmax_2 = PGVmin_2;
end
t_PGVmax_2 = EQ.t(length(1:SIM.t_transient/SIM.t_step)+find(EQ.dydt_eq((FEA.E_unsubm+FEA.N_subm)+6,(SIM.t_transient/SIM.t_step+1):end)==PGVmax_2));
plot(t_PGVmax_2,PGVmax_2,'r.','MarkerSize',20)
txt = ['\hspace{4pt} $\leftarrow$ Maximum: ',num2str(PGVmax_2,'%4.2f'),'\,m/s']; 
text(t_PGVmax_2,PGVmax_2,txt,'HorizontalAlignment','left','Interpreter','Latex','fontsize',11)
hold off

vel_d3 = subplot(4,1,3);
z3 = EQ.dydt_eq((FEA.E_unsubm+FEA.N_subm)+14,(SIM.t_transient/SIM.t_step+1):end);
plot(vel_d3,x,z3);
set(gca,'TickLabelInterpreter','Latex','Fontsize',9);
set( gca, 'YGrid', 'on' );
ylim([-0.6 0.6]);
yticks([-0.5 0 0.5]);
title(vel_d3,'\textbf{Mudstone}','Interpreter','Latex','Fontsize',11)
ylabel(vel_d3,'Velocity [m/s]','Interpreter','Latex','Fontsize',11)
xlabel(vel_d3,'Time [s]','Interpreter','Latex','Fontsize',11)
hold on
% plot max PGV as red dot on graph
PGVmax_3 = max(EQ.dydt_eq((FEA.E_unsubm+FEA.N_subm)+14,(SIM.t_transient/SIM.t_step+1):end));
PGVmin_3 = min(EQ.dydt_eq((FEA.E_unsubm+FEA.N_subm)+14,(SIM.t_transient/SIM.t_step+1):end));
if abs(PGVmax_3)<abs(PGVmin_3)
    PGVmax_3 = PGVmin_3;
end
t_PGVmax_3 = EQ.t(length(1:SIM.t_transient/SIM.t_step)+find(EQ.dydt_eq((FEA.E_unsubm+FEA.N_subm)+14,(SIM.t_transient/SIM.t_step+1):end)==PGVmax_3));
plot(t_PGVmax_3,PGVmax_3,'r.','MarkerSize',20)
txt = ['\hspace{4pt} $\leftarrow$ Maximum: ',num2str(PGVmax_3,'%4.2f'),'\,m/s']; 
text(t_PGVmax_3,PGVmax_3,txt,'HorizontalAlignment','left','Interpreter','Latex','fontsize',11)
hold off

vel_d4 = subplot(4,1,4);
z4 = EQ.dydt_eq((FEA.E_unsubm+FEA.N_subm)+23,(SIM.t_transient/SIM.t_step+1):end);
plot(vel_d4,x,z4);
set(gca,'TickLabelInterpreter','Latex','Fontsize',9);
set( gca, 'YGrid', 'on' );
ylim([-0.6 0.6]);
yticks([-0.5 0 0.5]);
title(vel_d4,'\textbf{Gravel}','Interpreter','Latex','Fontsize',11)
ylabel(vel_d4,'Velocity [m/s]','Interpreter','Latex','Fontsize',11)
xlabel(vel_d4,'Time [s]','Interpreter','Latex','Fontsize',11)
hold on
% plot max PGV as red dot on graph
PGVmax_4 = max(EQ.dydt_eq((FEA.E_unsubm+FEA.N_subm)+23,(SIM.t_transient/SIM.t_step+1):end));
PGVmin_4 = min(EQ.dydt_eq((FEA.E_unsubm+FEA.N_subm)+23,(SIM.t_transient/SIM.t_step+1):end));
if abs(PGVmax_4)<abs(PGVmin_4)
    PGVmax_4 = PGVmin_4;
end
t_PGVmax_4 = EQ.t(length(1:SIM.t_transient/SIM.t_step)+find(EQ.dydt_eq((FEA.E_unsubm+FEA.N_subm)+23,(SIM.t_transient/SIM.t_step+1):end)==PGVmax_4));
plot(t_PGVmax_4,PGVmax_4,'r.','MarkerSize',20)
txt = ['\hspace{4pt} $\leftarrow$ Maximum: ',num2str(PGVmax_4,'%4.2f'),'\,m/s']; 
text(t_PGVmax_4,PGVmax_4,txt,'HorizontalAlignment','left','Interpreter','Latex','fontsize',11)
hold off

% Plot time series of displacement at different depths
plotdispl = figure;
dis_d1 = subplot(4,1,1);
x = EQ.t((SIM.t_transient/SIM.t_step+1):end);
z1 = EQ.y_eq((FEA.E_unsubm+FEA.N_subm),(SIM.t_transient/SIM.t_step+1):end);
plot(dis_d1,x,z1)
set(gca,'TickLabelInterpreter','Latex','Fontsize',9);
set( gca, 'YGrid', 'on' );
ylim([-0.6 0.6]);
yticks([-0.5 0 0.5]);
title(dis_d1,'\textbf{Sand}','Interpreter','Latex','Fontsize',11)
ylabel(dis_d1,'Displacement [m]','Interpreter','Latex','Fontsize',11)
xlabel(dis_d1,'Time [s]','Interpreter','Latex','Fontsize',11)
hold on
% plot max PGD as red dot on graph
PGDmax_1 = max(EQ.y_eq((FEA.E_unsubm+FEA.N_subm),(SIM.t_transient/SIM.t_step+1):end));
PGDmin_1 = min(EQ.y_eq((FEA.E_unsubm+FEA.N_subm),(SIM.t_transient/SIM.t_step+1):end));
if abs(PGDmax_1)<abs(PGDmin_1)
    PGDmax_1 = PGDmin_1;
end
t_PGDmax_1 = EQ.t(length(1:SIM.t_transient/SIM.t_step)+find(EQ.y_eq((FEA.E_unsubm+FEA.N_subm),(SIM.t_transient/SIM.t_step+1):end)==PGDmax_1));
plot(t_PGDmax_1,PGDmax_1,'r.','MarkerSize',20)
txt = ['\hspace{4pt} $\leftarrow$ Maximum: ',num2str(PGDmax_1,'%4.2f'),'\,m']; 
text(t_PGDmax_1,PGDmax_1,txt,'HorizontalAlignment','left','Interpreter','Latex','fontsize',11)
hold off

dis_d2 = subplot(4,1,2);
z2 = EQ.y_eq((FEA.E_unsubm+FEA.N_subm)+6,(SIM.t_transient/SIM.t_step+1):end);
plot(dis_d2,x,z2);
set(gca,'TickLabelInterpreter','Latex','Fontsize',9);
set( gca, 'YGrid', 'on' );
ylim([-0.6 0.6]);
yticks([-0.5 0 0.5]);
title(dis_d2,'\textbf{Clay}','Interpreter','Latex','Fontsize',11)
ylabel(dis_d2,'Displacement [m]','Interpreter','Latex','Fontsize',11)
xlabel(dis_d2,'Time [s]','Interpreter','Latex','Fontsize',11)
hold on
% plot max PGD as red dot on graph
PGDmax_2 = max(EQ.y_eq((FEA.E_unsubm+FEA.N_subm)+6,(SIM.t_transient/SIM.t_step+1):end));
PGDmin_2 = min(EQ.y_eq((FEA.E_unsubm+FEA.N_subm)+6,(SIM.t_transient/SIM.t_step+1):end));
if abs(PGDmax_2)<abs(PGDmin_2)
    PGDmax_2 = PGDmin_2;
end
t_PGDmax_2 = EQ.t(length(1:SIM.t_transient/SIM.t_step)+find(EQ.y_eq((FEA.E_unsubm+FEA.N_subm)+6,(SIM.t_transient/SIM.t_step+1):end)==PGDmax_2));
plot(t_PGDmax_2,PGDmax_2,'r.','MarkerSize',20)
txt = ['\hspace{4pt} $\leftarrow$ Maximum: ',num2str(PGDmax_2,'%4.2f'),'\,m']; 
text(t_PGDmax_2,PGDmax_2,txt,'HorizontalAlignment','left','Interpreter','Latex','fontsize',11)
hold off

dis_d3 = subplot(4,1,3);
z3 = EQ.y_eq((FEA.E_unsubm+FEA.N_subm)+14,(SIM.t_transient/SIM.t_step+1):end);
plot(dis_d3,x,z3);
set(gca,'TickLabelInterpreter','Latex','Fontsize',9);
set( gca, 'YGrid', 'on' );
ylim([-0.6 0.6]);
yticks([-0.5 0 0.5]);
title(dis_d3,'\textbf{Mudstone}','Interpreter','Latex','Fontsize',11)
ylabel(dis_d3,'Displacement [m]','Interpreter','Latex','Fontsize',11)
xlabel(dis_d3,'Time [s]','Interpreter','Latex','Fontsize',11)
hold on
% plot max PGD as red dot on graph
PGDmax_3 = max(EQ.y_eq((FEA.E_unsubm+FEA.N_subm)+14,(SIM.t_transient/SIM.t_step+1):end));
PGDmin_3 = min(EQ.y_eq((FEA.E_unsubm+FEA.N_subm)+14,(SIM.t_transient/SIM.t_step+1):end));
if abs(PGDmax_3)<abs(PGDmin_3)
    PGDmax_3 = PGDmin_3;
end
t_PGDmax_3 = EQ.t(length(1:SIM.t_transient/SIM.t_step)+find(EQ.y_eq((FEA.E_unsubm+FEA.N_subm)+14,(SIM.t_transient/SIM.t_step+1):end)==PGDmax_3));
plot(t_PGDmax_3,PGDmax_3,'r.','MarkerSize',20)
txt = ['\hspace{4pt} $\leftarrow$ Maximum: ',num2str(PGDmax_3,'%4.2f'),'\,m']; 
text(t_PGDmax_3,PGDmax_3,txt,'HorizontalAlignment','left','Interpreter','Latex','fontsize',11)
hold off

dis_d4 = subplot(4,1,4);
z4 = EQ.y_eq((FEA.E_unsubm+FEA.N_subm)+23,(SIM.t_transient/SIM.t_step+1):end);
plot(dis_d4,x,z4);
set(gca,'TickLabelInterpreter','Latex','Fontsize',9);
set( gca, 'YGrid', 'on' );
ylim([-0.6 0.6]);
yticks([-0.5 0 0.5]);
title(dis_d4,'\textbf{Gravel}','Interpreter','Latex','Fontsize',11)
ylabel(dis_d4,'Displacement [m]','Interpreter','Latex','Fontsize',11)
xlabel(dis_d4,'Time [s]','Interpreter','Latex','Fontsize',11)
hold on
% plot max PGD as red dot on graph
PGDmax_4 = max(EQ.y_eq((FEA.E_unsubm+FEA.N_subm)+23,(SIM.t_transient/SIM.t_step+1):end));
PGDmin_4 = min(EQ.y_eq((FEA.E_unsubm+FEA.N_subm)+23,(SIM.t_transient/SIM.t_step+1):end));
if abs(PGDmax_4)<abs(PGDmin_4)
    PGDmax_4 = PGDmin_4;
end
t_PGDmax_4 = EQ.t(length(1:SIM.t_transient/SIM.t_step)+find(EQ.y_eq((FEA.E_unsubm+FEA.N_subm)+23,(SIM.t_transient/SIM.t_step+1):end)==PGDmax_4));
plot(t_PGDmax_4,PGDmax_4,'r.','MarkerSize',20)
txt = ['\hspace{4pt} $\leftarrow$ Maximum: ',num2str(PGDmax_4,'%4.2f'),'\,m']; 
text(t_PGDmax_4,PGDmax_4,txt,'HorizontalAlignment','left','Interpreter','Latex','fontsize',11)
hold off

% Clear excessive variables not needed in calculations
varsafter = [];
varsnew = [];

varsafter = who;
varsnew = setdiff(varsafter, varsbefore);
clear(varsnew{:})