%% DEFINE SIMULATIONS TIME

% Identify transient response:
SIM.t_transient = 60;                                                       %[s], based on decay motion rotor startup

% Identify shutdown time following first perception of ground motion (P-wave tremors):
SIM.t_shutdown = SIM.t_transient + 20;                                      % + 20 sec to make sure earthquake signal only started after transient response died out

% Identify step size time vector
SIM.t_step = t(2) - t(1);

% Length of simulation
EQ.t=[0:SIM.t_step:(SIM.t_transient-SIM.t_step) SIM.t_transient+t];         % [s] Time values in steps of 0.005 sec

if strcmp(WT.Operation, 'Normal')
    SIM.t_shutdown = EQ.t(end);
end

clear t
