%% ROTOR OPERATIONAL PARAMETERS - THRUST AND DAMPING
% Extrapolate wind speed to hub height
H_ref = 10;  % MSL+10
H_hub = FEA.H_n(1)-DSS.d_hydro; % hub height - MSL
DSS.V_hub = Velocity_Profile(DSS.V_0,H_ref,H_hub,DSS.z_0); % reference wind speed at MSL+10

% Operational
[~,~,~,WT.T,~,~,~,~,~,WT.C_ad,WT.F_ad] = BEM(DSS.rho_air, DSS.V_hub, WT.V_rated, WT.turbineType, WT.rpm_min,WT.rpm_max,WT.V_cutin,WT.V_cutout);

% Include rotor aerodynamic damping
FEA.C_global(1,1) = FEA.C_global(1,1)+WT.C_ad;

% Include damping force F_ad moving rotor in wind in ODE

clear H_hub H_ref
